from collections import namedtuple

# konstruktor pětice s přístupem k prvkům nejen indexem, ale i jménem
Film = namedtuple('FilmInfo', 'pořadí název rok režisér tržby')

filmy = []
with open('filmy_2_hlavicka.csv', encoding='utf-8') as f:
    next(f)     # přeskočení první (hlavičkové) řádky
    for line in f:
        filmy.append(
            Film(*line.strip().split(';'))  # pětiprvkový seznam rozbalený operátorem '*' na pět vstupních argumentů funkce
        )

for film in sorted(filmy, key=lambda x: x[1]):
    print(f'{film[0]}) {film[1]}')
    print(f'\t{film[2]}')
    print(f'\t{film[3]}')
    print(f'\t{film[4]}')
