from collections import namedtuple

# konstruktor pětice s přístupem k prvkům nejen indexem, ale i jménem
Film = namedtuple('FilmInfo', 'pořadí název rok režisér tržby')

filmy = []
with open('filmy_2_hlavicka.csv', encoding='utf-8') as f:
    next(f)     # přeskočení první (hlavičkové) řádky
    for line in f:
        filmy.append(
            Film(*line.strip().split(';'))  # pětiprvkový seznam rozbalený operátorem '*' na pět vstupních argumentů funkce
        )

for film in sorted(filmy, key=lambda x: x.tržby):
    print(f'{film.pořadí}) {film.název}')
    print(f'\t{film.rok}')
    print(f'\t{film.režisér}')
    print(f'\t{film.tržby}')
